Subject: bug#42473: closed (Re: [bug#42473] [PATCH] gnu: zrythm: Update to 0.8.694.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Sep 2020 21:38:02 +0000

Your bug report

#42473: [PATCH] gnu: zrythm: Update to 0.8.694.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42473: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42473
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42473] [PATCH] gnu: zrythm: Update to 0.8.694.
From: Ludovic Courtès <[email-masked]>
To: Alexandros Theodotou <[email-masked]>
Cc: Tobias Geerinckx-Rice <[email-masked]>, [email-masked], Maxim Cournoyer <[email-masked]>, GNU Guix maintainers <[email-masked]>
Date: Sun, 13 Sep 2020 23:37:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Alexandros Theodotou <[email-masked]> skribis:

> On Fri, 2020-09-11 at 17:36 +0200, Ludovic Courtès wrote:
>> This requires Meson 0.55 so it doesn’t work on master.
>> 
>> Could you add Meson 0.55 and have zrythm use it?
>
> Done. Not sure exactly what you expect but I added an additional
> meson55 package and used it like #:meson ,meson55. Feel free to edit it
> accordingly.
>
>> > diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
>> > index b674019b8f..01f8a6bfc2 100644
>> > --- a/gnu/packages/web.scm
>> > +++ b/gnu/packages/web.scm
>> > @@ -5027,6 +5027,7 @@ written in C.  It is developed as part of the
>> > NetSurf project.")
>> >    (package
>> >      (name "libcyaml")
>> >      (version "1.0.1")
>> > +    (version "1.1.0")
>> >      (source
>> >       (origin
>> >         (method git-fetch)
>> > @@ -5036,6 +5037,7 @@ written in C.  It is developed as part of the
>> > NetSurf project.")
>> >         (file-name (git-file-name name version))
>> >         (sha256
>> >          (base32
>> > "0h5ydyqdl8kzh526np3jsi0pm7ks16nh1hjkdsjcd6pacw7y6i6z"))))
>> > +        (base32
>> > "1al5cbild3qimm59rmaj3i8m57qhinwshz7r67p7fqsccijrz71b"))))
>> 
>> This one is obviously broken.  I tried to redo it by hand, but then
>> zrythm would fail to build.
>
> Err, gitg miss, I only selected the additions to stage. Fixed.
>
>> Could you resend the other 3 patches, making sure everything works on
>> master?
>
> Please find them attached.

Applied with the following tweaks:

  • Renamed Meson variable to ‘meson-0.55’.

  • Replaced libcyaml upgrade with my own version since I got a
    different hash than the one your patch had.  If you still have a
    different version, please check whether there are differences.

Thanks!

Ludo’.

Subject: [PATCH] gnu: zrythm: Update to 0.8.694.
From: Alexandros Theodotou <[email-masked]>
To: Guix patches <[email-masked]>
Date: Wed, 22 Jul 2020 09:34:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This is actually 2 patches. The first updates libcyaml and the 2nd
Zrythm. Note that I (Zrythm author) have added a trademark policy to
Zrythm that says modified versions that include the trademarks require
permission (as discussed on IRC with a few people):
https://www.zrythm.org/en/trademarks.html

I am not 100% sure if patching the xdg-open path counts as a modified
version, but in any case this email is signed using the same key used
to sign the release, so it can be interpreted as "written permission"
to redistribute this.

The FSDG allows trademarks from what I understand:
```
Trademarks are associated with some software. For example, the name of
a program may be trademarked, or its interface may display a
trademarked logo. Often, the use of these marks will be controlled in
some way; in particular, developers are commonly asked to remove
references to the trademark from the software when they modify it.

In extreme cases, these restrictions may effectively render the program
nonfree. It is unfair for someone to ask you to remove a trademark from
modified code if that trademark is scattered all throughout the
original source. As long as the practical requirements are reasonable,
however, free system distributions may include these programs, either
with or without the trademarks.

Similarly, the distribution itself may hold particular trademarks. It
is not a problem if modification requires removal of these trademarks,
as long as they can readily be removed without losing functionality.

However, it is unacceptable to use trademarks to restrict verbatim
copying and redistribution of the whole distribution, or any part.
```

And Zrythm now has a meson option for easily changing the program name,
if you  would prefer to rename it to something else (Z-Daw for
example). Changing the logo is also very trivial, and I plan to add
freely licensed replacements in future releases to make it even easier
to replace.

So it is up to the maintainers to decide if they want to keep Zrythm as
it is or rename it. Either way, I am happy with either decision,
although I would prefer if you were OK with keeping the "Zrythm" name
(as long as there's no patches to remove/add functionality or links to
the Zrythm website or things like that).

Thanks,
Alex
From 56e23c40ccd135d84da51a7dd7131882ef115310 Mon Sep 17 00:00:00 2001
From: Alexandros Theodotou <[email-masked]>
Date: Wed, 22 Jul 2020 09:19:26 +0100
Subject: [PATCH 2/2] gnu: zrythm: Update to 0.8.694.

* gnu/packages/music.scm (zrythm): Update to 0.8.694.
---
 gnu/packages/music.scm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 3089a22c7c..bea00c01ba 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -5204,7 +5204,7 @@ and as an LV2 plugin.")
 (define-public zrythm
   (package
     (name "zrythm")
-    (version "0.8.333")
+    (version "0.8.694")
     (source
       (origin
         (method url-fetch)
@@ -5212,13 +5212,13 @@ and as an LV2 plugin.")
                             version ".tar.xz"))
         (sha256
           (base32
-            "0x2kxr5zz058jpy6k6ymj0fi2gqfcgrlv4qkwz9443hjy5345iwb"))))
+            "17a2g153cyrx0jjgd2ppyraprlnk2zi4ihzr3f7gn0485crlc2g2"))))
    (build-system meson-build-system)
    (arguments
     `(#:glib-or-gtk? #t
       #:configure-flags
-      `("-Denable_tests=true" "-Dmanpage=true"
-        "-Dinstall_dseg_font=false" "-Denable_ffmpeg=true")
+      `("-Dtests=true" "-Dmanpage=true"
+        "-Ddseg_font=false" "-Dffmpeg=enabled")
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'patch-xdg-open
@@ -5245,8 +5245,9 @@ and as an LV2 plugin.")
       ("libsndfile" ,libsndfile)
       ("libyaml" ,libyaml)
       ("lilv" ,lilv)
+      ("rubberband" ,rubberband)
       ("xdg-utils" ,xdg-utils)
-      ("rubberband" ,rubberband)))
+      ("zstd" ,zstd "lib")))
    (native-inputs
      `(("pkg-config" ,pkg-config)
        ("help2man" ,help2man)
-- 
2.27.0

From d95da9e9b272ac2706946b4c7ef01a99149cbe7d Mon Sep 17 00:00:00 2001
From: Alexandros Theodotou <[email-masked]>
Date: Sat, 18 Jul 2020 14:29:32 +0100
Subject: [PATCH 1/2] gnu: libcyaml: Update to 1.1.0.

* gnu/packages/web.scm (libcyaml): Update to 1.1.0.
---
 gnu/packages/web.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 47162c49de..17ed65595d 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -5014,7 +5014,7 @@ written in C.  It is developed as part of the NetSurf project.")
 (define-public libcyaml
   (package
     (name "libcyaml")
-    (version "1.0.1")
+    (version "1.1.0")
     (source
      (origin
        (method git-fetch)
@@ -5023,7 +5023,7 @@ written in C.  It is developed as part of the NetSurf project.")
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0h5ydyqdl8kzh526np3jsi0pm7ks16nh1hjkdsjcd6pacw7y6i6z"))))
+        (base32 "0428p0rwq71nhh5nzcbapsbrjxa0x5l6h6ns32nxv7j624f0zd93"))))
     (build-system gnu-build-system)
     (arguments
      `(#:make-flags
-- 
2.27.0